<?php
/*
Simple:Press
Name plugin install/upgrade routine
$LastChangedDate: 2013-02-17 13:17:53 -0700 (Sun, 17 Feb 2013) $
$Rev: 9857 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_rating_do_upgrade_check() {
    $options = sp_get_option('postratings');
    if (empty($options)) return;

    $db = $options['dbversion'];
    if (empty($db)) $db = 0;

    # quick bail check
    if ($db == SPRATINGDBVERSION ) return;

    # apply upgrades as needed

    # db version upgrades
    if ($db < 1) {
	   spdb_query('UPDATE '.SFAUTHS." SET auth_cat=7 WHERE auth_name='rate_posts'");
    }

    if ($db < 2) {
		unset($options['summary']);
    }

    # save data
    $options['dbversion'] = SPRATINGDBVERSION;
    sp_update_option('postratings', $options);
}

?>