<?php
/*
Simple:Press
Post Rating Ahah Stuff
$LastChangedDate: 2013-08-23 12:55:44 -0700 (Fri, 23 Aug 2013) $
$Rev: 10569 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

sp_forum_api_support();

if (!sp_get_auth('rate_posts')) {
	if (!is_user_logged_in()) {
		_e('Access denied - are you logged in?', 'sp-rating');
	} else {
		_e('Access denied - you do not have permission', 'sp-rating');
	}
	die();
}

$fid = sp_esc_int($_GET['fid']);
$pid = sp_esc_int($_GET['pid']);
if (empty($fid) || empty($pid)) die();

if (!sp_get_auth('rate_posts', $fid)) {
	if (!is_user_logged_in()) {
		_e('Access denied - are you logged in?', 'sp-rating');
	} else {
		_e('Access denied - you do not have permission', 'sp-rating');
	}
	die();
}

include_once(PRLIBDIR.'sp-rating-database.php');

$rating_data = spdb_table(SPRATINGS, "post_id=$pid");
if (empty($rating_data)) {
	$rating_sum = 0;
	$votes = 0;
	$ips = array();
	$members = array();
} else {
	$rating_sum = $rating_data[0]->ratings_sum;
	$ips = unserialize($rating_data[0]->ips);
	$members = unserialize($rating_data[0]->members);
	$votes = $rating_data[0]->vote_count;
}
$votes++; # add the vote

$out = '';
$postratings = sp_get_option('postratings');
if ($postratings['ratingsstyle'] == 1) { # thumb rating
	$rate = $_GET['rate'];
	if ($rate == 'up') $rating_sum++; else $rating_sum--;
    if ($rating_sum > 0) $rating_sum = '+'.$rating_sum;
	$out.= '<div class="spPostRatingContainer spPostRatingThumbs">';
	$out.= "<span class='spPostRatingScore'>$rating_sum</span>";
	$text = __('Current post rating', 'sp-rating').': '.$rating_sum;
	$out.= '<span class="spPostRateDown"><img class="spIcon vtip" src="'.sp_find_icon(PRIMAGES, "sp_RateDownGrey.png").'" alt="" title="'.esc_attr($text).'" /></span>';
	$out.= '<span class="spPostRateUp"><img class="spIcon vtip" src="'.sp_find_icon(PRIMAGES, "sp_RateUpGrey.png").'" alt="" title="'.esc_attr($text).'" /></span>';
	$out.= '</div>';
} else { # start rating
	$star_rating = sp_esc_int($_GET['rate']);
	$rating_sum = $rating_sum + $star_rating;
	$newrating = round($rating_sum / $votes, 1);
	$intrating = floor($newrating);
	$out.= '<div class="spPostRatingContainer spPostRatingStars">';
	$out.= "<span class='spPostRatingScore'>$newrating</span>";
	$out.= '<span class="spPostRateStars">';
	$text = __('Current post rating', 'sp-rating').': '.$newrating;
    for ($x = 0; $x < $intrating; $x++) {
		$out.= '<img class="spIcon vtip" src="'.sp_find_icon(PRIMAGES, "sp_RateStarOn.png").'" alt="" title="'.esc_attr($text).'" />';
	}
    for ($x = 0; $x < (5 - $intrating); $x++) {
		$out.= '<img class="spIcon vtip" src="'.sp_find_icon(PRIMAGES, "sp_RateStarOff.png").'" alt="" title="'.esc_attr($text).'" />';
	}
	$out.= '</span>';
	$out.= '</div>';
}

echo $out;

global $spMobile;
if (!$spMobile) {
?>
	<script type="text/javascript">
	jQuery(document).ready(function() {
		/* show any tooltips */
		jQuery(function(jQuery) {vtip();})
	})
	</script>
<?php
}

global $spThisUser;
if ($spThisUser->member) {
	$members[] = $spThisUser->ID;
} else {
	$ips[] = sp_get_ip();
}

if ($members) $members = serialize($members); else $members = null;
if ($ips) $ips = serialize($ips); else $ips = null;

if ($votes == 1) {
	sp_add_postratings($pid, $votes, $rating_sum, $ips, $members);
} else {
	sp_update_postratings($pid, $votes, $rating_sum, $ips, $members);
}

#record the vote in users members profile
sp_add_postrating_vote($pid);

die();
?>