<?php
/*
Simple:Press
Post Rating plugin uninstall routine
$LastChangedDate: 2013-08-23 12:55:44 -0700 (Fri, 23 Aug 2013) $
$Rev: 10569 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

# this uninstall function is for when the parent SP plugin is uninstalled
function sp_rating_do_sp_uninstall() {
    # make sure sp uninstall initiated
	if (sp_get_option('sfuninstall')) spdb_query("DROP TABLE IF EXISTS ".SPRATINGS);
}

# this uninstall function is for the post rating plugin uninstall only
function sp_rating_do_uninstall() {
	global $spGlobals;

    # remove our db stuff
	spdb_query('DROP TABLE IF EXISTS '.SPRATINGS);
	spdb_query('ALTER TABLE '.SFFORUMS.' DROP post_ratings');
	spdb_query('ALTER TABLE '.SFMEMBERS.' DROP posts_rated');

	# remove the auth
	if (!empty($spGlobals['auths_map']['rate_posts'])) sp_delete_auth('rate_posts');

    # delete our option table
    sp_delete_option('postratings');
}
?>